# draugr.torch_utilities.system.device

Created on 15/11/2019

Functions

`global_torch_device`([device_preference, ...]) | first time call stores to device for global reference, later call must explicitly manually override!

`select_cuda_device`(cuda_device_idx)

param cuda_device_idx

`get_gpu_usage_mb`()

return

`auto_select_available_cuda_device`([...]) | Auto selects the device with highest compute capability and with the requested memory available

`set_global_torch_device`(device)

param device

`torch_clean_up`() | Destroy cuda state by emptying cache and collecting IPC.

Classes

`TorchDeviceEnum`(value) | An enumeration.